Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::AddressModeSpriteState Class Reference

アドレスモードスプライトステート More...

`#include <AddressModeSpriteState.h>`

Inheritance diagram for Lamp::AddressModeSpriteState:

List of all members.

## Public Types
enum | AddressMode { addressModeWrap = 0, addressModeClamp, addressModeMirror, addressModeMax }
| アドレスモード
## Public Member Functions
| AddressModeSpriteState ()
| コンストラクタ
| AddressModeSpriteState (AddressMode addressModeU, AddressMode addressModeV)
| コンストラクタ
virtual | ~AddressModeSpriteState ()
| デストラクタ
virtual const SpriteRequest * | getDefaultState () const
| デフォルトステートの取得
virtual void | apply (SpriteRenderState *renderState)
| 適用
virtual void | setAddressMode (AddressMode addressModeU, AddressMode addressModeV)
| アドレスモードの設定
virtual void | setAddressModeU (AddressMode addressModeU)
| アドレスモードUの設定
virtual AddressMode | getAddressModeU () const
| アドレスモードUの取得
virtual void | setAddressModeV (AddressMode addressModeV)
| アドレスモードVの設定
virtual AddressMode | getAddressModeV () const
| アドレスモードVの取得
## Static Public Member Functions
const String & | addressModeToString (AddressMode addressMode)
| アドレスモードから文字列への変換
AddressMode | addressModeFromString (const String &addressModeString)
| 文字列からアドレスモードへの変換
## Static Public Attributes
const AddressModeSpriteState | clampState
| クランプ
const AddressModeSpriteState | wrapState
| ラップ
const AddressModeSpriteState | mirrorState
| ミラー
const AddressModeSpriteState | defaultState
| デフォルト

## Detailed Description

アドレスモードスプライトステート

Definition at line 36 of file AddressModeSpriteState.h.

## Constructor & Destructor Documentation

Lamp::AddressModeSpriteState::AddressModeSpriteState | ( | AddressMode | addressModeU,
|  | AddressMode | addressModeV
| ) |

  | コンストラクタ Parameters:
  addressModeU | アドレスモードU
  addressModeV | アドレスモードV
Definition at line 60 of file AddressModeSpriteState.cpp. References Assert.

## Member Function Documentation

AddressModeSpriteState::AddressMode Lamp::AddressModeSpriteState::addressModeFromString | ( | const String & | addressModeString | ) | `[static]`

  | 文字列からアドレスモードへの変換 Parameters:
  addressModeString | アドレスモード文字列
Returns: アドレスモード Definition at line 90 of file AddressModeSpriteState.cpp. References AddressMode, Lamp::String::equals(), and ErrorOut.

const String & Lamp::AddressModeSpriteState::addressModeToString | ( | AddressMode | addressMode | ) | `[static]`

  | アドレスモードから文字列への変換 Parameters:
  addressMode | アドレスモード
Returns: アドレスモード文字列 Definition at line 82 of file AddressModeSpriteState.cpp. References Assert.

void Lamp::AddressModeSpriteState::apply | ( | SpriteRenderState * | renderState | ) | `[virtual]`

  | 適用 Parameters:
  renderState | レンダーステート
Implements Lamp::SpriteState. Definition at line 74 of file AddressModeSpriteState.cpp. References Lamp::RenderingDevice::setTextureAddressMode2().

virtual AddressMode Lamp::AddressModeSpriteState::getAddressModeU | ( |  | ) | const`[inline, virtual]`

| アドレスモードUの取得 Returns: アドレスモードU Definition at line 148 of file AddressModeSpriteState.h. References AddressMode.

virtual AddressMode Lamp::AddressModeSpriteState::getAddressModeV | ( |  | ) | const`[inline, virtual]`

| アドレスモードVの取得 Returns: アドレスモードV Definition at line 164 of file AddressModeSpriteState.h. References AddressMode.

virtual const SpriteRequest* Lamp::AddressModeSpriteState::getDefaultState | ( |  | ) | const`[inline, virtual]`

| デフォルトステートの取得 Returns: デフォルトステート Implements Lamp::SpriteState. Definition at line 105 of file AddressModeSpriteState.h. References defaultState.

virtual void Lamp::AddressModeSpriteState::setAddressMode | ( | AddressMode | addressModeU,
|  | AddressMode | addressModeV
| ) | `[inline, virtual]`

  | アドレスモードの設定 Parameters:
  addressModeU | アドレスモードU
  addressModeV | アドレスモードV
Definition at line 126 of file AddressModeSpriteState.h. References Assert.

virtual void Lamp::AddressModeSpriteState::setAddressModeU | ( | AddressMode | addressModeU | ) | `[inline, virtual]`

  | アドレスモードUの設定 Parameters:
  addressModeU | アドレスモードU
Definition at line 139 of file AddressModeSpriteState.h. References Assert.

virtual void Lamp::AddressModeSpriteState::setAddressModeV | ( | AddressMode | addressModeV | ) | `[inline, virtual]`

  | アドレスモードVの設定 Parameters:
  addressModeV | アドレスモードV
Definition at line 155 of file AddressModeSpriteState.h. References Assert.

The documentation for this class was generated from the following files:

- AddressModeSpriteState.h
- AddressModeSpriteState.cpp